flutter_lottie

Use Lottie in Flutter.

Supports both iOS and Android using lottie-ios and lottie-android

Current Status

Supports most features that both iOS and Android support.

The only dynamic property changing that is supported for now is color and opacity. Project will be updated later to include support for other properties.

Example in the github repo includes a good intro into using the library.

IMPORTANT NOTE

To use with iOS, you will need to add this key to your info.plist file located in: project/ios/Runner/Info.plist

<key>io.flutter.embedded_views_preview</key>
<true />

Libraries

flutter_lottie_plus

Dart

VM

dart:ffi
Foreign Function Interface for interoperability with the C programming language. [...]

Web

dart:html
HTML elements and other resources for web-based applications that need to interact with the browser and the DOM (Document Object Model). [...]
dart:js
Low-level support for interoperating with JavaScript. [...]
dart:js_util
Utility methods to efficiently manipulate typed JSInterop objects in cases where the name to call is not known at runtime. You should only use these methods when the same effect cannot be achieved with @JS annotations. These methods would be extension methods on JSObject if Dart supported extension methods.